#############################################
#	COMPSCI 105 S1 C, 2017                  #
#	Assignment 1                            #
#                                           #
#	@author  	YOUR NAME and UPI           #
#	@version	THE DATE                    #
#############################################


def display_intro():
	#This function prints out the heading part of the menu
	message = "-"*2 + " An Exam Marking Management Program " + "-"*2
	print(message)

def get_user_input(start, end):
	# This function obtains a valid user input menu option.
	userChoice = 0
	## IMPLEMENT THIS METHOD
	
	
	
	return 6 #change this

#def read_solution():
	#This function ...
	


#def read_classlist():
	#This function ...





#def start_marking(...)
	#This function ...



	
#def read_data_files():
	#This function reads ...




## You may need to add some helper functions:



		
#def display_result(class_list):
	#This function ...
	print()

	
#def display_summary(marks):
	#This function ...
	print("Grade Summary:")




def display_menu():
    #This function prints out the menu
    print("1. Read a Solution")
    print("2. Read a ClassList")
    print("3. Start Marking")
    print("4. Display the Marking Result")
    print("5. Display the Marking Summary")
    print("6. Quit the program")

def display_separator():
    #This function prints out the separator
    lines = "-" * 40
    print(lines)

def menu():
    display_menu()
    display_separator()
    option = get_user_input(1,6)

    while option != 6:
        if option == 1:
            display_separator()
        elif option == 2:
            display_separator()
        elif option == 3:
            display_separator()
        elif option == 4:
            display_separator()
        else:
            display_separator()
        display_separator()
        display_menu()
        display_separator()
        option = get_user_input(1,6)
    display_separator()
    print("Thank you!")
	
def main():
	display_separator()
	display_intro()
	display_separator()
	menu()
	display_separator()

main()
